commit d75fcbf89b833ed59980e6a6cd9a79dcec1c83b0
Author: Eric Botcazou <ebotcazou@adacore.com>
Date:   Mon Oct 4 09:16:19 2021

    Remove dead code in config/rs6000/vxworks.h
    
    These lines were added last year:
    
    /* Initialize library function table.  */
     #undef TARGET_INIT_LIBFUNCS
     #define TARGET_INIT_LIBFUNCS rs6000_vxworks_init_libfuncs
    
    but TARGET_INIT_LIBFUNCS is #undef-ed in config/rs6000/rs6000.c and
    rs6000_vxworks_init_libfuncs is nowhere defined in any case.
    
    gcc/
            * config/rs6000/vxworks.h (TARGET_INIT_LIBFUNCS): Delete.

diff --git a/gcc/config/rs6000/vxworks.h b/gcc/config/rs6000/vxworks.h
index 5facbbb392f..d8ecc0296c8 100644
--- a/gcc/config/rs6000/vxworks.h
+++ b/gcc/config/rs6000/vxworks.h
@@ -147,10 +147,6 @@ along with GCC; see the file COPYING3.  If not see
 #undef FUNCTION_PROFILER
 #define FUNCTION_PROFILER(FILE,LABELNO) VXWORKS_FUNCTION_PROFILER(FILE,LABELNO)
 
-/* Initialize library function table.  */
-#undef TARGET_INIT_LIBFUNCS
-#define TARGET_INIT_LIBFUNCS rs6000_vxworks_init_libfuncs
-
 /* Nor sdata, for kernel mode.  We use this in
    SUBSUBTARGET_INITIALIZE_OPTIONS, after rs6000_rtp has been initialized.  */
 #undef SDATA_DEFAULT_SIZE

